Debian Bug report logs - #588997
Valgrind suppression fail is outdated - valgrind reports on reachable memory with pthreads at exit

version graph

Package: valgrind; Maintainer for valgrind is Alessandro Ghedini <ghedo@debian.org>; Source for valgrind is src:valgrind.

Reported by: Pauli Sundberg <sundberg@eigenor.com>

Date: Wed, 14 Jul 2010 06:30:01 UTC

Severity: normal

Found in version valgrind/1:3.3.1-3

Fixed in version valgrind/1:3.6.0~svn11254

Done: Andrés Roldán <aroldan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#588997; Package valgrind. (Wed, 14 Jul 2010 06:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pauli Sundberg <sundberg@eigenor.com>:
New Bug report received and forwarded. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 14 Jul 2010 06:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pauli Sundberg <sundberg@eigenor.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Valgrind suppression fail is outdated - valgrind reports on reachable memory with pthreads at exit
Date: Wed, 14 Jul 2010 09:21:54 +0300
Package: valgrind
Version: 1:3.3.1-3
Severity: normal

Program (copy paste from https://computing.llnl.gov/tutorials/pthreads/)
#include <pthread.h>
#include <stdio.h>
#define NUM_THREADS     5

void *PrintHello(void *threadid)
{
   long tid;
   tid = (long)threadid;
   printf("Hello World! It's me, thread #%ld!\n", tid);
   pthread_exit(NULL);
}

int main (int argc, char *argv[])
{
   pthread_t threads[NUM_THREADS];
   int rc;
   long t;
   for(t=0; t<NUM_THREADS; t++){
      printf("In main: creating thread %ld\n", t);
      rc = pthread_create(&threads[t], NULL, PrintHello, (void *)t);
      if (rc){
         printf("ERROR; return code from pthread_create() is %d\n", rc);
         exit(-1);
      }
   }
   pthread_exit(NULL);
}



sundberg@fs1:~$ valgrind   --error-exitcode=1 --leak-check=full --show-reachable=yes --gen-suppressions=all ./silly  
==32444== Memcheck, a memory error detector.
==32444== Copyright (C) 2002-2007, and GNU GPL'd, by Julian Seward et al.
==32444== Using LibVEX rev 1854, a library for dynamic binary translation.
==32444== Copyright (C) 2004-2007, and GNU GPL'd, by OpenWorks LLP.
==32444== Using valgrind-3.3.1-Debian, a dynamic binary instrumentation framework.
==32444== Copyright (C) 2000-2007, and GNU GPL'd, by Julian Seward et al.
==32444== For more details, rerun with: -v
==32444== 
In main: creating thread 0
In main: creating thread 1
Hello World! It's me, thread #1!
Hello World! It's me, thread #0!
In main: creating thread 2
Hello World! It's me, thread #2!
In main: creating thread 3
Hello World! It's me, thread #3!
In main: creating thread 4
Hello World! It's me, thread #4!
==32444== 
==32444== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 17 from 2)
==32444== malloc/free: in use at exit: 1,588 bytes in 10 blocks.
==32444== malloc/free: 10 allocs, 0 frees, 1,588 bytes allocated.
==32444== For counts of detected errors, rerun with: -v
==32444== searching for pointers to 10 not-freed blocks.
==32444== checked 42,017,180 bytes.
==32444== 
==32444== 19 bytes in 1 blocks are still reachable in loss record 1 of 6
==32444==    at 0x4023D6E: malloc (vg_replace_malloc.c:207)
==32444==    by 0x400A551: (within /lib/ld-2.7.so)
==32444==    by 0x4005FB2: (within /lib/ld-2.7.so)
==32444==    by 0x4007E0C: (within /lib/ld-2.7.so)
==32444==    by 0x4011B46: (within /lib/ld-2.7.so)
==32444==    by 0x400DA15: (within /lib/ld-2.7.so)
==32444==    by 0x401154D: (within /lib/ld-2.7.so)
==32444==    by 0x41652A1: (within /lib/i686/cmov/libc-2.7.so)
==32444==    by 0x400DA15: (within /lib/ld-2.7.so)
==32444==    by 0x4165464: __libc_dlopen_mode (in /lib/i686/cmov/libc-2.7.so)
==32444==    by 0x403FDC6: pthread_cancel_init (in /lib/i686/cmov/libpthread-2.7.so)
==32444==    by 0x403FEF0: _Unwind_ForcedUnwind (in /lib/i686/cmov/libpthread-2.7.so)
{
   <insert a suppression name here>
   Memcheck:Leak
   fun:malloc
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/i686/cmov/libc-2.7.so
   obj:/lib/ld-2.7.so
   fun:__libc_dlopen_mode
   fun:pthread_cancel_init
   fun:_Unwind_ForcedUnwind
}
==32444== 
==32444== 
==32444== 19 bytes in 1 blocks are still reachable in loss record 2 of 6
==32444==    at 0x4023D6E: malloc (vg_replace_malloc.c:207)
==32444==    by 0x4004D7E: (within /lib/ld-2.7.so)
==32444==    by 0x400809B: (within /lib/ld-2.7.so)
==32444==    by 0x4011B46: (within /lib/ld-2.7.so)
==32444==    by 0x400DA15: (within /lib/ld-2.7.so)
==32444==    by 0x401154D: (within /lib/ld-2.7.so)
==32444==    by 0x41652A1: (within /lib/i686/cmov/libc-2.7.so)
==32444==    by 0x400DA15: (within /lib/ld-2.7.so)
==32444==    by 0x4165464: __libc_dlopen_mode (in /lib/i686/cmov/libc-2.7.so)
==32444==    by 0x403FDC6: pthread_cancel_init (in /lib/i686/cmov/libpthread-2.7.so)
==32444==    by 0x403FEF0: _Unwind_ForcedUnwind (in /lib/i686/cmov/libpthread-2.7.so)
==32444==    by 0x403D900: __pthread_unwind (in /lib/i686/cmov/libpthread-2.7.so)
{
   <insert a suppression name here>
   Memcheck:Leak
   fun:malloc
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/i686/cmov/libc-2.7.so
   obj:/lib/ld-2.7.so
   fun:__libc_dlopen_mode
   fun:pthread_cancel_init
   fun:_Unwind_ForcedUnwind
   fun:__pthread_unwind
}
==32444== 
==32444== 
==32444== 28 bytes in 1 blocks are still reachable in loss record 3 of 6
==32444==    at 0x4023D6E: malloc (vg_replace_malloc.c:207)
==32444==    by 0x400C355: (within /lib/ld-2.7.so)
==32444==    by 0x4011BA6: (within /lib/ld-2.7.so)
==32444==    by 0x400DA15: (within /lib/ld-2.7.so)
==32444==    by 0x401154D: (within /lib/ld-2.7.so)
==32444==    by 0x41652A1: (within /lib/i686/cmov/libc-2.7.so)
==32444==    by 0x400DA15: (within /lib/ld-2.7.so)
==32444==    by 0x4165464: __libc_dlopen_mode (in /lib/i686/cmov/libc-2.7.so)
==32444==    by 0x403FDC6: pthread_cancel_init (in /lib/i686/cmov/libpthread-2.7.so)
==32444==    by 0x403FEF0: _Unwind_ForcedUnwind (in /lib/i686/cmov/libpthread-2.7.so)
==32444==    by 0x403D900: __pthread_unwind (in /lib/i686/cmov/libpthread-2.7.so)
==32444==    by 0x4037A1F: pthread_exit (in /lib/i686/cmov/libpthread-2.7.so)
{
   <insert a suppression name here>
   Memcheck:Leak
   fun:malloc
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/i686/cmov/libc-2.7.so
   obj:/lib/ld-2.7.so
   fun:__libc_dlopen_mode
   fun:pthread_cancel_init
   fun:_Unwind_ForcedUnwind
   fun:__pthread_unwind
   fun:pthread_exit
}
==32444== 
==32444== 
==32444== 224 bytes in 1 blocks are still reachable in loss record 4 of 6
==32444==    at 0x4021E22: calloc (vg_replace_malloc.c:397)
==32444==    by 0x400F44D: (within /lib/ld-2.7.so)
==32444==    by 0x4011E3E: (within /lib/ld-2.7.so)
==32444==    by 0x400DA15: (within /lib/ld-2.7.so)
==32444==    by 0x401154D: (within /lib/ld-2.7.so)
==32444==    by 0x41652A1: (within /lib/i686/cmov/libc-2.7.so)
==32444==    by 0x400DA15: (within /lib/ld-2.7.so)
==32444==    by 0x4165464: __libc_dlopen_mode (in /lib/i686/cmov/libc-2.7.so)
==32444==    by 0x403FDC6: pthread_cancel_init (in /lib/i686/cmov/libpthread-2.7.so)
==32444==    by 0x403FEF0: _Unwind_ForcedUnwind (in /lib/i686/cmov/libpthread-2.7.so)
==32444==    by 0x403D900: __pthread_unwind (in /lib/i686/cmov/libpthread-2.7.so)
==32444==    by 0x4037A1F: pthread_exit (in /lib/i686/cmov/libpthread-2.7.so)
{
   <insert a suppression name here>
   Memcheck:Leak
   fun:calloc
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/i686/cmov/libc-2.7.so
   obj:/lib/ld-2.7.so
   fun:__libc_dlopen_mode
   fun:pthread_cancel_init
   fun:_Unwind_ForcedUnwind
   fun:__pthread_unwind
   fun:pthread_exit
}
==32444== 
==32444== 
==32444== 618 bytes in 1 blocks are still reachable in loss record 5 of 6
==32444==    at 0x4021E22: calloc (vg_replace_malloc.c:397)
==32444==    by 0x400A2EA: (within /lib/ld-2.7.so)
==32444==    by 0x4005FB2: (within /lib/ld-2.7.so)
==32444==    by 0x4007E0C: (within /lib/ld-2.7.so)
==32444==    by 0x4011B46: (within /lib/ld-2.7.so)
==32444==    by 0x400DA15: (within /lib/ld-2.7.so)
==32444==    by 0x401154D: (within /lib/ld-2.7.so)
==32444==    by 0x41652A1: (within /lib/i686/cmov/libc-2.7.so)
==32444==    by 0x400DA15: (within /lib/ld-2.7.so)
==32444==    by 0x4165464: __libc_dlopen_mode (in /lib/i686/cmov/libc-2.7.so)
==32444==    by 0x403FDC6: pthread_cancel_init (in /lib/i686/cmov/libpthread-2.7.so)
==32444==    by 0x403FEF0: _Unwind_ForcedUnwind (in /lib/i686/cmov/libpthread-2.7.so)
{
   <insert a suppression name here>
   Memcheck:Leak
   fun:calloc
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/ld-2.7.so
   obj:/lib/i686/cmov/libc-2.7.so
   obj:/lib/ld-2.7.so
   fun:__libc_dlopen_mode
   fun:pthread_cancel_init
   fun:_Unwind_ForcedUnwind
}
==32444== 
==32444== 
==32444== 680 bytes in 5 blocks are possibly lost in loss record 6 of 6
==32444==    at 0x4021E22: calloc (vg_replace_malloc.c:397)
==32444==    by 0x4010C7B: _dl_allocate_tls (in /lib/ld-2.7.so)
==32444==    by 0x4036672: pthread_create@@GLIBC_2.1 (in /lib/i686/cmov/libpthread-2.7.so)
==32444==    by 0x8048539: main (silly.c:20)
{
   <insert a suppression name here>
   Memcheck:Leak
   fun:calloc
   fun:_dl_allocate_tls
   fun:pthread_create@@GLIBC_2.1
   fun:main
}
==32444== 
==32444== LEAK SUMMARY:
==32444==    definitely lost: 0 bytes in 0 blocks.
==32444==      possibly lost: 680 bytes in 5 blocks.
==32444==    still reachable: 908 bytes in 5 blocks.
==32444==         suppressed: 0 bytes in 0 blocks.


-- System Information:
Debian Release: 5.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/4 CPU cores)
Locale: LANG=en_DK.UTF-8, LC_CTYPE=en_DK.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages valgrind depends on:
ii  libc6                       2.7-18lenny4 GNU C Library: Shared libraries

Versions of packages valgrind recommends:
ii  gdb                           6.8-3      The GNU Debugger

Versions of packages valgrind suggests:
pn  alleyoop                      <none>     (no description available)
pn  kcachegrind                   <none>     (no description available)
pn  libc6-dbg                     <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Andrés Roldán <aroldan@debian.org>:
Bug#588997; Package valgrind. (Wed, 14 Jul 2010 07:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pauli Sundberg <pauli.sundberg@eigenor.com>:
Extra info received and forwarded to list. Copy sent to Andrés Roldán <aroldan@debian.org>. (Wed, 14 Jul 2010 07:09:05 GMT) Full text and rfc822 format available.

Message #10 received at 588997@bugs.debian.org (full text, mbox):

From: Pauli Sundberg <pauli.sundberg@eigenor.com>
To: 588997@bugs.debian.org
Subject: Bug #588997: Further information (run with debug symbols and suppression file additions)
Date: Wed, 14 Jul 2010 09:01:22 +0200
The same errors with debug symbols:
sundberg@fs1:~$ valgrind  --error-exitcode=1 --leak-check=full
--show-reachable=yes ./silly
==32537== Memcheck, a memory error detector.
==32537== Copyright (C) 2002-2007, and GNU GPL'd, by Julian Seward et al.
==32537== Using LibVEX rev 1854, a library for dynamic binary translation.
==32537== Copyright (C) 2004-2007, and GNU GPL'd, by OpenWorks LLP.
==32537== Using valgrind-3.3.1-Debian, a dynamic binary instrumentation
framework.
==32537== Copyright (C) 2000-2007, and GNU GPL'd, by Julian Seward et al.
==32537== For more details, rerun with: -v
==32537==

In main: creating thread 0
In main: creating thread 1
Hello World! It's me, thread #1!
In main: creating thread 2
Hello World! It's me, thread #2!
In main: creating thread 3
Hello World! It's me, thread #3!
In main: creating thread 4
Hello World! It's me, thread #4!
Hello World! It's me, thread #0!
==32537==
==32537== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 16 from 1)
==32537== malloc/free: in use at exit: 1,588 bytes in 10 blocks.
==32537== malloc/free: 10 allocs, 0 frees, 1,588 bytes allocated.
==32537== For counts of detected errors, rerun with: -v
==32537== searching for pointers to 10 not-freed blocks.
==32537== checked 41,988,668 bytes.
==32537==
==32537== 19 bytes in 1 blocks are still reachable in loss record 1 of 6
==32537==    at 0x4023D6E: malloc (vg_replace_malloc.c:207)
==32537==    by 0x400A551: _dl_new_object (in /lib/ld-2.7.so)
==32537==    by 0x4005FB2: _dl_map_object_from_fd (in /lib/ld-2.7.so)
==32537==    by 0x4007E0C: _dl_map_object (in /lib/ld-2.7.so)
==32537==    by 0x4011B46: dl_open_worker (in /lib/ld-2.7.so)
==32537==    by 0x400DA15: _dl_catch_error (in /lib/ld-2.7.so)
==32537==    by 0x401154D: _dl_open (in /lib/ld-2.7.so)
==32537==    by 0x413E8B1: do_dlopen (dl-libc.c:86)
==32537==    by 0x400DA15: _dl_catch_error (in /lib/ld-2.7.so)
==32537==    by 0x413E9B0: dlerror_run (dl-libc.c:47)
==32537==    by 0x413EAD5: __libc_dlopen_mode (dl-libc.c:160)
==32537==    by 0x4035146: pthread_cancel_init (unwind-forcedunwind.c:47)
==32537==
==32537==
==32537== 19 bytes in 1 blocks are still reachable in loss record 2 of 6
==32537==    at 0x4023D6E: malloc (vg_replace_malloc.c:207)
==32537==    by 0x4004D7E: local_strdup (in /lib/ld-2.7.so)
==32537==    by 0x400809B: _dl_map_object (in /lib/ld-2.7.so)
==32537==    by 0x4011B46: dl_open_worker (in /lib/ld-2.7.so)
==32537==    by 0x400DA15: _dl_catch_error (in /lib/ld-2.7.so)
==32537==    by 0x401154D: _dl_open (in /lib/ld-2.7.so)
==32537==    by 0x413E8B1: do_dlopen (dl-libc.c:86)
==32537==    by 0x400DA15: _dl_catch_error (in /lib/ld-2.7.so)
==32537==    by 0x413E9B0: dlerror_run (dl-libc.c:47)
==32537==    by 0x413EAD5: __libc_dlopen_mode (dl-libc.c:160)
==32537==    by 0x4035146: pthread_cancel_init (unwind-forcedunwind.c:47)
==32537==    by 0x4035270: _Unwind_ForcedUnwind (unwind-forcedunwind.c:98)
==32537==
==32537==
==32537== 28 bytes in 1 blocks are still reachable in loss record 3 of 6
==32537==    at 0x4023D6E: malloc (vg_replace_malloc.c:207)
==32537==    by 0x400C355: _dl_map_object_deps (in /lib/ld-2.7.so)
==32537==    by 0x4011BA6: dl_open_worker (in /lib/ld-2.7.so)
==32537==    by 0x400DA15: _dl_catch_error (in /lib/ld-2.7.so)
==32537==    by 0x401154D: _dl_open (in /lib/ld-2.7.so)
==32537==    by 0x413E8B1: do_dlopen (dl-libc.c:86)
==32537==    by 0x400DA15: _dl_catch_error (in /lib/ld-2.7.so)
==32537==    by 0x413E9B0: dlerror_run (dl-libc.c:47)
==32537==    by 0x413EAD5: __libc_dlopen_mode (dl-libc.c:160)
==32537==    by 0x4035146: pthread_cancel_init (unwind-forcedunwind.c:47)
==32537==    by 0x4035270: _Unwind_ForcedUnwind (unwind-forcedunwind.c:98)
==32537==    by 0x4032E80: __pthread_unwind (unwind.c:130)
==32537==
==32537==
==32537== 224 bytes in 1 blocks are still reachable in loss record 4 of 6
==32537==    at 0x4021E22: calloc (vg_replace_malloc.c:397)
==32537==    by 0x400F44D: _dl_check_map_versions (in /lib/ld-2.7.so)
==32537==    by 0x4011E3E: dl_open_worker (in /lib/ld-2.7.so)
==32537==    by 0x400DA15: _dl_catch_error (in /lib/ld-2.7.so)
==32537==    by 0x401154D: _dl_open (in /lib/ld-2.7.so)
==32537==    by 0x413E8B1: do_dlopen (dl-libc.c:86)
==32537==    by 0x400DA15: _dl_catch_error (in /lib/ld-2.7.so)
==32537==    by 0x413E9B0: dlerror_run (dl-libc.c:47)
==32537==    by 0x413EAD5: __libc_dlopen_mode (dl-libc.c:160)
==32537==    by 0x4035146: pthread_cancel_init (unwind-forcedunwind.c:47)
==32537==    by 0x4035270: _Unwind_ForcedUnwind (unwind-forcedunwind.c:98)
==32537==    by 0x4032E80: __pthread_unwind (unwind.c:130)
==32537==
==32537==
==32537== 618 bytes in 1 blocks are still reachable in loss record 5 of 6
==32537==    at 0x4021E22: calloc (vg_replace_malloc.c:397)
==32537==    by 0x400A2EA: _dl_new_object (in /lib/ld-2.7.so)
==32537==    by 0x4005FB2: _dl_map_object_from_fd (in /lib/ld-2.7.so)
==32537==    by 0x4007E0C: _dl_map_object (in /lib/ld-2.7.so)
==32537==    by 0x4011B46: dl_open_worker (in /lib/ld-2.7.so)
==32537==    by 0x400DA15: _dl_catch_error (in /lib/ld-2.7.so)
==32537==    by 0x401154D: _dl_open (in /lib/ld-2.7.so)
==32537==    by 0x413E8B1: do_dlopen (dl-libc.c:86)
==32537==    by 0x400DA15: _dl_catch_error (in /lib/ld-2.7.so)
==32537==    by 0x413E9B0: dlerror_run (dl-libc.c:47)
==32537==    by 0x413EAD5: __libc_dlopen_mode (dl-libc.c:160)
==32537==    by 0x4035146: pthread_cancel_init (unwind-forcedunwind.c:47)
==32537==
==32537==
==32537== 680 bytes in 5 blocks are possibly lost in loss record 6 of 6
==32537==    at 0x4021E22: calloc (vg_replace_malloc.c:397)
==32537==    by 0x4010C7B: _dl_allocate_tls (in /lib/ld-2.7.so)
==32537==    by 0x402C5A7: pthread_create@@GLIBC_2.1 (allocatestack.c:535)
==32537==    by 0x8048539: main (silly.c:20)
==32537==
==32537== LEAK SUMMARY:
==32537==    definitely lost: 0 bytes in 0 blocks.
==32537==      possibly lost: 680 bytes in 5 blocks.
==32537==    still reachable: 908 bytes in 5 blocks.
==32537==         suppressed: 0 bytes in 0 blocks.
sundberg@fs1:~$
sundberg@fs1:~$





Suppressions:

{
   pthread-exit-supp-00
   Memcheck:Leak
   fun:malloc
   fun:_dl_new_object
   fun:_dl_map_object_from_fd
   fun:_dl_map_object
   fun:dl_open_worker
   fun:_dl_catch_error
   fun:_dl_open
   fun:do_dlopen
   fun:_dl_catch_error
   fun:dlerror_run
   fun:__libc_dlopen_mode
   fun:pthread_cancel_init
}
{
   pthread-exit-supp-00
   Memcheck:Leak
   fun:malloc
   fun:local_strdup
   fun:_dl_map_object
   fun:dl_open_worker
   fun:_dl_catch_error
   fun:_dl_open
   fun:do_dlopen
   fun:_dl_catch_error
   fun:dlerror_run
   fun:__libc_dlopen_mode
   fun:pthread_cancel_init
   fun:_Unwind_ForcedUnwind
}
{
   pthread-exit-supp-00
   Memcheck:Leak
   fun:malloc
   fun:_dl_map_object_deps
   fun:dl_open_worker
   fun:_dl_catch_error
   fun:_dl_open
   fun:do_dlopen
   fun:_dl_catch_error
   fun:dlerror_run
   fun:__libc_dlopen_mode
   fun:pthread_cancel_init
   fun:_Unwind_ForcedUnwind
   fun:__pthread_unwind
}
{
   pthread-exit-supp-00
   Memcheck:Leak
   fun:calloc
   fun:_dl_check_map_versions
   fun:dl_open_worker
   fun:_dl_catch_error
   fun:_dl_open
   fun:do_dlopen
   fun:_dl_catch_error
   fun:dlerror_run
   fun:__libc_dlopen_mode
   fun:pthread_cancel_init
   fun:_Unwind_ForcedUnwind
   fun:__pthread_unwind
}
{
   pthread-exit-supp-00
   Memcheck:Leak
   fun:calloc
   fun:_dl_new_object
   fun:_dl_map_object_from_fd
   fun:_dl_map_object
   fun:dl_open_worker
   fun:_dl_catch_error
   fun:_dl_open
   fun:do_dlopen
   fun:_dl_catch_error
   fun:dlerror_run
   fun:__libc_dlopen_mode
   fun:pthread_cancel_init
}
{
   pthread-exit-supp-00
   Memcheck:Leak
   fun:calloc
   fun:_dl_allocate_tls
   fun:pthread_create@@GLIBC_2.1
   fun:main
}





Reply sent to Andrés Roldán <aroldan@debian.org>:
You have taken responsibility. (Mon, 09 Aug 2010 16:06:24 GMT) Full text and rfc822 format available.

Notification sent to Pauli Sundberg <sundberg@eigenor.com>:
Bug acknowledged by developer. (Mon, 09 Aug 2010 16:06:24 GMT) Full text and rfc822 format available.

Message #15 received at 588997-close@bugs.debian.org (full text, mbox):

From: Andrés Roldán <aroldan@debian.org>
To: 588997-close@bugs.debian.org
Subject: Bug#588997: fixed in valgrind 1:3.6.0~svn11254
Date: Mon, 09 Aug 2010 16:02:21 +0000
Source: valgrind
Source-Version: 1:3.6.0~svn11254

We believe that the bug you reported is fixed in the latest version of
valgrind, which is due to be installed in the Debian FTP archive:

valgrind_3.6.0~svn11254.diff.gz
  to main/v/valgrind/valgrind_3.6.0~svn11254.diff.gz
valgrind_3.6.0~svn11254.dsc
  to main/v/valgrind/valgrind_3.6.0~svn11254.dsc
valgrind_3.6.0~svn11254.orig.tar.gz
  to main/v/valgrind/valgrind_3.6.0~svn11254.orig.tar.gz
valgrind_3.6.0~svn11254_amd64.deb
  to main/v/valgrind/valgrind_3.6.0~svn11254_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588997@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrés Roldán <aroldan@debian.org> (supplier of updated valgrind package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 09 Aug 2010 14:35:45 +0000
Source: valgrind
Binary: valgrind
Architecture: source amd64
Version: 1:3.6.0~svn11254
Distribution: unstable
Urgency: low
Maintainer: Andrés Roldán <aroldan@debian.org>
Changed-By: Andrés Roldán <aroldan@debian.org>
Description: 
 valgrind   - A memory debugger and profiler
Closes: 433426 491195 549218 559520 574810 580210 584912 585809 588263 588997 592345
Changes: 
 valgrind (1:3.6.0~svn11254) unstable; urgency=low
 .
   * New SVN snapshot.
     (Closes: #574810, #592345, #584912, #588997, #588263, #585809, #580210)
   * debian/control: Dropped build dependency on gcc-4.3 on amd64 (Closes: #559520)
   * debian/patches/01_more-vg-n-threads.dpatch:
     - Removed. Already applied by upstream
   * debian/patches/01_more-vg-n-segments.dpatch
     - Increased VG_N_SEGMENTS to 25000 (Closes: #491195)
   * debian/README.Debian:
     - Updated (Closes: #433426)
   * debian/valgrind.bash:
     - Updated to make tools autocomplete well. (Closes: #549218)
Checksums-Sha1: 
 d1041c109416c84a5c17cc0d2f9dd14c1aeb4165 1191 valgrind_3.6.0~svn11254.dsc
 0cad76c9987a369833f699cf34a61ca1f46916fd 7158459 valgrind_3.6.0~svn11254.orig.tar.gz
 677e2abff322b1564a1ef89cf723b44fabd3de4d 95092 valgrind_3.6.0~svn11254.diff.gz
 366210341dd26b7f04ff572a74fb4b4904c0f810 49228802 valgrind_3.6.0~svn11254_amd64.deb
Checksums-Sha256: 
 c0f9422858fb1e8e575b5dea17e9c2ec11c076a8775e6eefc6416f66f622a723 1191 valgrind_3.6.0~svn11254.dsc
 38682f0d83f8e1e5a63bf631d8783bfde0de23e91fd435a3b4edea71a0129e34 7158459 valgrind_3.6.0~svn11254.orig.tar.gz
 7f011825161458f996f00c53f01978dc14b45b1a42c4d363797befe09d809937 95092 valgrind_3.6.0~svn11254.diff.gz
 ec7d71a743b632e2045fdb78f8a7a5a189ef5230456fbf33d7525b24803408be 49228802 valgrind_3.6.0~svn11254_amd64.deb
Files: 
 1f5c404722ce335af46e96f291bf777b 1191 devel optional valgrind_3.6.0~svn11254.dsc
 2b355c2a271905612cfb511fefea5722 7158459 devel optional valgrind_3.6.0~svn11254.orig.tar.gz
 1bb8cd92447330867e26e05d23a77ea9 95092 devel optional valgrind_3.6.0~svn11254.diff.gz
 8f98a7e5a975785169caf5500a1ab0e1 49228802 devel optional valgrind_3.6.0~svn11254_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxgIcoACgkQ2OByS7KTluvR+wCgjXFHuk0nZQx28BSw45Hs0DRa
p+oAn0gwrltu+LdJ0l7twq660RcRV6W9
=QhO0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Sep 2010 07:36:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:34:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.